# tower_role – create, update, or destroy Ansible Tower role

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Create, update, or destroy Ansible Tower roles. See https://www.ansible.com/tower for an overview.

## Requirements

The below requirements are needed on the host that executes this module.

- ansible-tower-cli >= 3.0.2

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
credential - |  | Credential the role acts on.
inventory - |  | Inventory the role acts on.
job_template - |  | The job template the role acts on.
organization - |  | Organization the role acts on.
project - |  | Project the role acts on.

role
- / required

Choices:
- admin
- read
- member
- execute
- adhoc
- update
- use
- auditor
- project_admin
- inventory_admin
- credential_admin
- workflow_admin
- notification_admin
- job_template_admin

The role type to grant/revoke.

state
-

Choices:
- present ←
- absent

Desired state of the resource.

target_team - |  | Team that the role acts on.
team - |  | Team that receives the permissions specified by the role.
tower_config_file path |  | Path to the Tower config file.
tower_host string |  | URL to your Tower instance.
tower_password string |  | Password for your Tower instance.
tower_username string |  | Username for your Tower instance.
user - |  | User that receives the permissions specified by the role.

validate_certs
boolean

Choices:
- no
- yes

Whether to allow insecure connections to Tower.
If `no`, SSL certificates will not be validated.
This should only be used on personally controlled sites using self-signed certificates.
aliases: tower_verify_ssl

## Notes

Note

- If no config_file is provided we will attempt to use the tower-cli library defaults to find your Tower host information.
- config_file should contain Tower configuration in the following format host=hostname username=username password=password

## Examples

    - name: Add jdoe to the member role of My Team
      tower_role:
        user: jdoe
        target_team: "My Team"
        role: member
        state: present
        tower_config_file: "~/tower_cli.cfg"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Wayne Witzel III (@wwitzel3)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.